# Uses of Interface
org.eclipse.mat.snapshot.acquire.IHeapDumpProvider

Packages that use IHeapDumpProvider
Package
Description
org.eclipse.mat.hprof.acquire
Generator of HPROF dumps from other running processes on the system, just a acquire dumps extension, not an Application Programming Interface (API).
org.eclipse.mat.ibmvm.acquire
Create IBM dumps - this is an internal package not intended as an Application Programming Interface (API) except as an extension.
org.eclipse.mat.internal.acquire
Support for collecting arguments for acquiring heap dumps from running programs.
org.eclipse.mat.snapshot.acquire
Classes to help get a snapshot from a current running process on the system.

## Uses of IHeapDumpProvider in org.eclipse.mat.hprof.acquire

Classes in org.eclipse.mat.hprof.acquire that implement IHeapDumpProvider
Modifier and Type
Class
Description
`class`
`JMapHeapDumpProvider`
Constructors in org.eclipse.mat.hprof.acquire with parameters of type IHeapDumpProvider
Modifier
Constructor
Description
``
`JmapVmInfo(int pid, String description, boolean heapDumpEnabled, String proposedFileName, IHeapDumpProvider heapDumpProvider)`

## Uses of IHeapDumpProvider in org.eclipse.mat.ibmvm.acquire

Classes in org.eclipse.mat.ibmvm.acquire that implement IHeapDumpProvider
Modifier and Type
Class
Description
`class`
`BaseProvider`
The base dump provider class.
`class`
`IBMDumpProvider`
Base class for generating dumps on IBM VMs.
`class`
`IBMExecDumpProvider`
Enables the creation of dumps from IBM VMs when a non-IBM VM or old IBM VM is used to run Memory Analyzer.
`class`
`IBMJavaDumpProvider`
Helper dump provider - the IBMDumpProvider delegates to this to do the work for java core dumps.

## Uses of IHeapDumpProvider in org.eclipse.mat.internal.acquire

Methods in org.eclipse.mat.internal.acquire that return IHeapDumpProvider
Modifier and Type
Method
Description
`IHeapDumpProvider`
HeapDumpProviderDescriptor.`getHeapDumpProvider()`
Methods in org.eclipse.mat.internal.acquire that return types with arguments of type IHeapDumpProvider
Modifier and Type
Method
Description
`Class<? extends IHeapDumpProvider>`
HeapDumpProviderDescriptor.`getSubject()`
Method parameters in org.eclipse.mat.internal.acquire with type arguments of type IHeapDumpProvider
Modifier and Type
Method
Description
`HeapDumpProviderDescriptor`
HeapDumpProviderRegistry.`getHeapDumpProvider(Class<? extends IHeapDumpProvider> providerClass)`
Constructors in org.eclipse.mat.internal.acquire with parameters of type IHeapDumpProvider
Modifier
Constructor
Description
``
`HeapDumpProviderDescriptor(String identifier, String name, String usage, String help, String helpUrl, Locale helpLocale, IHeapDumpProvider provider)`

## Uses of IHeapDumpProvider in org.eclipse.mat.snapshot.acquire

Methods in org.eclipse.mat.snapshot.acquire that return IHeapDumpProvider
Modifier and Type
Method
Description
`IHeapDumpProvider`
VmInfo.`getHeapDumpProvider()`
Get the heap dump provider which returned this VmInfo
Methods in org.eclipse.mat.snapshot.acquire with parameters of type IHeapDumpProvider
Modifier and Type
Method
Description
`void`
VmInfo.`setHeapDumpProvider(IHeapDumpProvider heapDumpProvider)`
Set the heap dump provider of this VmInfo
Constructors in org.eclipse.mat.snapshot.acquire with parameters of type IHeapDumpProvider
Modifier
Constructor
Description
``
`VmInfo(int pid, String description, boolean heapDumpEnabled, String proposedFileName, IHeapDumpProvider heapDumpProvider)`
Constructor with parameters